<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        DETAIL PENGAJUAN DANA
        <small>Data</small>
    </h1>
</section>

<section layout:fragment="main" class="content">


    <div class="row">
        <div class="col-md-3">

            <div class="box box-primary">
<!--                <div class="box-body box-profile">-->
<!--                    <img class="img-responsive" src="C:/Users/yogi/Documents/pengajuandana/default.jpg" alt="Lampiran picture">-->

<!--                    <a href="#" class="btn btn-primary btn-block"><b>Follow</b></a>-->
<!--                </div>-->
                <!-- /.box-body -->
            </div>

        </div>
        <!-- /.col -->
        <div class="col-md-9">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">Pengajuan Dana</h3>


                    <!-- /.box-tools -->
                </div>
                <!-- /.box-header -->
                <div class="box-body no-padding">
                    <div class="mailbox-controls">

                        <div>
                            <div class="post">
                                <div class="user-block">
                                    <img class="img-circle img-bordered-sm" src="../../dist/img/user1-128x128.jpg" alt="user image">
                                    <span class="username">
                              <a href="#" th:text="${pengajuanDanaApprove.pengajuanDana.karyawanPengaju.namaKaryawan}">Jonathan Burke Jr.</a>
                              <a href="#" class="pull-right btn-box-tool"><i class="fa fa-times"></i></a>
                            </span>
                                    <span class="description" th:text="${#dates.format(new java.util.Date(pengajuanDanaApprove.pengajuanDana.tanggalPengajuan),'dd-MMM-yyyy hh:mm:ss a')}">Shared publicly - 7:30 PM today</span>
                                </div>
                                <!-- /.user-block -->
                                <p th:text="${'Kode Anggaran : '+pengajuanDanaApprove.pengajuanDana.anggaran.kodeAnggaran+'  Nama Anggaran : '+pengajuanDanaApprove.pengajuanDana.anggaran.namaAnggaran}"></p>
                                <p th:text="${'Departemen : '+pengajuanDanaApprove.pengajuanDana.anggaran.departemen.namaDepartemen}"></p>
                                <p th:text="${pengajuanDanaApprove.pengajuanDana.deskripsiBiaya}"></p>
                                <ul class="list-inline">

                                </ul>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="box-footer no-padding">
                    <div class="mailbox-controls">
                        <div class="btn-group">
                            <form method="post" th:action="@{/transaksi/approval/pengajuandana/approve(pengajuanDanaApprove=${pengajuanDanaApprove.id}, page = ${page.getPageNumber()}, size = ${page.getPageSize()}, seach = ${search})}">
                                <button type="submit" class="btn btn-success btn-xm"
                                        onclick="return confirm('Are you sure want to approve this?')">
                                    Approve
                                </button>
                            </form>
                        </div>

                        <div class="btn-group">
                            <form method="post" th:action="@{/transaksi/approval/pengajuandana/reject(pengajuanDanaApprove=${pengajuanDanaApprove.id}, page = ${page.getPageNumber()}, size = ${page.getPageSize()}, seach = ${search})}">
                                <button type="submit" class="btn btn-danger btn-xm"
                                        onclick="return confirm('Are you sure want to reject this?')">
                                    Reject
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /. box -->
        </div>

    </div>






</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
    <script>
        $(function () {
            //Enable iCheck plugin for checkboxes
            //iCheck for checkbox and radio inputs
            $('.mailbox-messages input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_flat-blue',
                radioClass: 'iradio_flat-blue'
            });

            //Enable check and uncheck all functionality
            $(".checkbox-toggle").click(function () {
                var clicks = $(this).data('clicks');
                if (clicks) {
                    //Uncheck all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("uncheck");
                    $(".fa", this).removeClass("fa-check-square-o").addClass('fa-square-o');
                } else {
                    //Check all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("check");
                    $(".fa", this).removeClass("fa-square-o").addClass('fa-check-square-o');
                }
                $(this).data("clicks", !clicks);
            });

            //Handle starring for glyphicon and font awesome
            $(".mailbox-star").click(function (e) {
                e.preventDefault();
                //detect type
                var $this = $(this).find("a > i");
                var glyph = $this.hasClass("glyphicon");
                var fa = $this.hasClass("fa");

                //Switch states
                if (glyph) {
                    $this.toggleClass("glyphicon-star");
                    $this.toggleClass("glyphicon-star-empty");
                }

                if (fa) {
                    $this.toggleClass("fa-star");
                    $this.toggleClass("fa-star-o");
                }
            });
        });
    </script>
</section>
</body>
</html>